Submission Relations
Retrieve parent-child relationships between submissions
Authorizations
OAuth2passwordRequiredToken URL: Refresh URL:
Send the access token as Authorization: Bearer <token>.
OAuth2authorizationCodeRequiredAuthorization URL: Token URL: Refresh URL:
Send the access token as Authorization: Bearer <token>.
Path parameters
app_shortstringRequired
Short name of the workspace, as found in the URL of the back-office.
submission_idstringRequired
Query parameters
pagestringOptionalDefault:
Page of the overview.
0Pattern: \d+per_pagestringOptionalDefault:
Number of result by page (Max 500)
500Pattern: -?\d+updated_sincestringOptionalDefault:
Get only structure updated from this date
""Pattern: \d+Header parameters
X-Accept-Versionstring · enumOptionalDefault:
API version to apply. Defaults to v1.0 when omitted; an unknown value falls back to the latest version.
v1.3Possible values: Responses
200
Parent submission IDs
application/json
next_pageintegerOptional
server_timeinteger · int64Optional
total_countintegerOptional
total_pagesintegerOptional
401
Missing or invalid access token.
application/json
get/{app_short}/submission_relations/{submission_id}/parents
GET /{app_short}/submission_relations/{submission_id}/parents HTTP/1.1
Host: api.daxium-air.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"next_page": 1,
"server_time": 1,
"submission_relations": [
{
"id": "123e4567-e89b-12d3-a456-426614174000"
}
],
"total_count": 1,
"total_pages": 1
}Last updated
Was this helpful?

